The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Import the Sensor Configuration

Prev Next

This URL imports the Sensor configuration from the XML file and pushes to the Sensor.

Resource URL

PUT /sensor/<sensor_id>/importconfiguration

Content-type value

multipart/form-data; boundary=<x>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

MultiPart

Holds the body part objects

Object

Yes

Details of BodyPart[0]:

Field Name

Description

Data Type

Mandatory

BodyPart[0]

Holds the import file element object

Application/json object

Yes

Details of ImportFileElement:

Field Name

Description

Data Type

Mandatory

fileName

Name of the file

String

Yes

fileType

File type should be "XML"

String

Yes

Details of BodyPart[1]:

Field Name

Description

Data Type

Mandatory

BodyPart[1]

Holds the file as input stream

Application/octet-stream

Yes

Details of .xml file:

Field Name

Description

Data Type

Mandatory

File

Policy(file input stream)

ByteArrayInput stream

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful

Number

message

Message returned from the backend

String

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/<sensor_id>/importconfiguration

Payload

----Boundary_1_12424925_1353496814940
Content-Type: application/json

{"fileType": "xml", "fileName": "sensor1002API"}



----Boundary_1_12424925_1353496814940
Content-Type: application/octet-stream

<Sensor swVersion="10.1.5.190">
 <PhysicalConfig originalSensorName="Denver-NS9500" failoverMode="standalone">
  <sensor description="TRELLIX-INTRUSION-PREVENTION-SYSTEM" model="IPS-NS9500" slotCount="2" //……
……
…..//

   <NI id="NI162" interfaceid="Interface132" adid="/Test Child Domain 1.1" vidsid="Vids148" name="Def NI of Interface G0/1-G0/2 on mfa/sensor 1002" nipolicytype="D" nilinktype="D"/>
  </NIs>
 </VidsConfig>
 <NonStandardPorts/>
 <BotConfigs>
  <botconfig status="disable" vidsId="Vids143">
   <zeroday inherit="true" scorethreshold="0"/>
  </botconfig>
 </BotConfigs>
 <L7FieldConfigs/>
</Sensor>

----Boundary_1_12424925_1353496814940--

Response

{
"status": 1,
"message": "IN PROGRESS:Queued: Generation of Signature file Segment for Sensor: IPS-NS9500 IN PROGRESS:Generating Signature Segments for Sensor: IPS-NS9500. Sig Version: 10.9.37.7 IN PROGRESS:Generating Response Segments for Sensor: IPS-NS9500 IN PROGRESS:Beginning Signature download to the sensor: IPS-NS9500 IN PROGRESS:Transferred files successfully applied for... DOWNLOAD COMPLETE "
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

400

5301

Invalid file type given for import

3

400

1124

The Sensor is inactive

4

500

2202

Input stream read error

5

500

500

Fail over Sensor required for importing this file

6

500

500

Standalone Sensor required for importing this file

7

500

500

IPv6 configuration mismatch. Correct this and try again.

8

500

500

Sensor model is different. Correct this and try again.

9

500

500

Invalid import file. Correct this and try again.

10

500

500

Physical configuration is different. Correct this and try again.

11

400

1140

Sensor is currently running in layer 2 bypass mode

12

400

1141

Concurrent process are running on the update server

13

400

1142

Please wait a minute and then try again, check the system log for details

14

400

1144

Sensor is not a standalone device. Signature set download cannot be done on a failover device

15

400

1147

Total exception objects count exceeded the limit of

16

400

1148

Sensor software version is not compatible with the Manager